Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 359517 - [gnome overlay] net-misc/vino-2.99.3 fails to link against libgcrypt
Summary: [gnome overlay] net-misc/vino-2.99.3 fails to link against libgcrypt
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] GNOME (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL: https://bugzilla.gnome.org/show_bug.c...
Whiteboard:
Keywords:
Depends on:
Blocks: gnome3
  Show dependency tree
 
Reported: 2011-03-19 15:39 UTC by Angelo Arrifano (RETIRED)
Modified: 2012-02-12 14:11 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,14.61 KB, text/plain)
2011-03-19 15:39 UTC, Angelo Arrifano (RETIRED)
Details
emerge --info (emerge-info.log,5.47 KB, text/plain)
2011-03-19 15:40 UTC, Angelo Arrifano (RETIRED)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Angelo Arrifano (RETIRED) gentoo-dev 2011-03-19 15:39:12 UTC
Created attachment 266533 [details]
build.log

(...)
CCLD   vino-server
server/libvncserver/vino_server-vncauth.o: In function `vncRandomBytes':
vncauth.c:(.text+0xa0): undefined reference to `gcry_check_version'
vncauth.c:(.text+0xb3): undefined reference to `gcry_control'
vncauth.c:(.text+0xc1): undefined reference to `gcry_control'
vncauth.c:(.text+0xdb): undefined reference to `gcry_randomize'
collect2: ld returned 1 exit status


Patch below fixed the problem here. I really don't have a clue how GCRYPT_LIBS was being set. What I now is that LIBGCRYPT_LIBS is definitely being set through a call to libgcrypt-config.

--- vino-2.99.3.ebuild.old	2011-03-15 19:37:39.709381255 +0100
+++ vino-2.99.3.ebuild	2011-03-19 16:31:25.684164768 +0100
@@ -6,7 +6,7 @@
 GCONF_DEBUG="yes"
 GNOME2_LA_PUNT="yes"
 
-inherit gnome2
+inherit gnome2 autotools
 
 DESCRIPTION="An integrated VNC server for GNOME"
 HOMEPAGE="http://www.gnome.org/"
@@ -53,6 +53,15 @@
 		<gnome-base/gnome-keyring-2.29.4 )"
 # keyring is always required at build time per bug 322763
 
+src_prepare() {
+	# For correctly linking with libgcrypt, LIBGCRYPT_LIBS is
+	# set by libgcrypt-config in aclocal
+	sed -i -e 's@GCRYPT@LIBGCRYPT@' Makefile.am \
+		|| die "Failed to sed Makefile.am"
+
+	eautomake
+}
+
 pkg_setup() {
 	G2CONF="${G2CONF}
 		--disable-schemas-compile
Comment 1 Angelo Arrifano (RETIRED) gentoo-dev 2011-03-19 15:40:01 UTC
Created attachment 266535 [details]
emerge --info
Comment 2 David King 2011-03-19 15:48:19 UTC
As discussed on IRC, this is fixed in GNOME bug https://bugzilla.gnome.org/show_bug.cgi?id=644192
Comment 3 Gilles Dartiguelongue gentoo-dev 2011-04-24 12:01:50 UTC
Fix is available in vino-3. Thanks for reporting.